> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update a system log export by providing an export object and an update mask.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/systemlog/exports/{export_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/systemlog/exports/{export_id}:
    post:
      tags:
        - System Log Exporter
      summary: Update
      description: >-
        Update a system log export by providing an export object and an update
        mask.
      operationId: c1.api.systemlog.v1.ExportService.Update
      parameters:
        - in: path
          name: export_id
          required: true
          schema:
            description: The exportId field.
            readOnly: true
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.systemlog.v1.ExportServiceUpdateRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.systemlog.v1.ExportServiceUpdateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Update
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Export.Update(ctx, operations.C1APISystemlogV1ExportServiceUpdateRequest{\n        ExportID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ExportServiceUpdateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.export.update({
                exportId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.systemlog.v1.ExportServiceUpdateRequestInput:
      description: The ExportServiceUpdateRequest message.
      properties:
        exporter:
          $ref: '#/components/schemas/c1.api.systemlog.v1.Exporter'
        updateMask:
          nullable: true
          readOnly: false
          type: string
      title: Export Service Update Request
      type: object
      x-speakeasy-name-override: ExportServiceUpdateRequest
    c1.api.systemlog.v1.ExportServiceUpdateResponse:
      description: The ExportServiceUpdateResponse message.
      properties:
        exporter:
          $ref: '#/components/schemas/c1.api.systemlog.v1.Exporter'
      title: Export Service Update Response
      type: object
      x-speakeasy-name-override: ExportServiceUpdateResponse
    c1.api.systemlog.v1.Exporter:
      description: >
        The Exporter message.


        This message contains a oneof named export_to. Only a single field of
        the following list may be set at a time:
          - datasource
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type: string
        datasource:
          $ref: '#/components/schemas/c1.api.systemlog.v1.ExportToDatasource'
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        exportId:
          description: The exportId field.
          readOnly: true
          type: string
        state:
          description: The state field.
          enum:
            - EXPORT_STATE_UNSPECIFIED
            - EXPORT_STATE_EXPORTING
            - EXPORT_STATE_WAITING
            - EXPORT_STATE_ERROR
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        watermarkEventId:
          description: we've synchorized this far
          readOnly: true
          type: string
      title: Exporter
      type: object
      x-speakeasy-name-override: Exporter
    c1.api.systemlog.v1.ExportToDatasource:
      description: The ExportToDatasource message.
      nullable: true
      properties:
        datasourceId:
          description: The datasourceId field.
          readOnly: false
          type: string
        format:
          description: The format field.
          enum:
            - EXPORT_FORMAT_UNSPECIFIED
            - EXPORT_FORMAT_OCSF_JSON_ZSTD
            - EXPORT_FORMAT_OCSF_JSON_GZIP
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        prefix:
          description: The prefix field.
          readOnly: false
          type: string
      title: Export To Datasource
      type: object
      x-speakeasy-name-override: ExportToDatasource
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````